import { value, switchs, date } from "./config";
import methods from "./methods";
import request from "./request";
const app = getApp();
Component({
  options: {
    addGlobalClass: true,//解决继承全局样式问题
  },
  lifetimes: {
    attached: function () { this.init(); }
  },
  properties: {
    type: { type: String, value: "add" },
    key: String
  },
  observers: {
    'value': function (value) {
      let A = value[0][1]["value"] * 1 || 0;
      let B = (value[0][3]["value"] * 1 || 0) + (value[0][4]["value"] * 1 || 0) + (value[0][5]["value"] * 1 || 0) +
        (value[0][6]["value"] * 1 || 0) + (value[0][7]["value"] * 1 || 0);
      let C = value[0][8]["value"] * 1 || 0;
      if (A == 0 || C == 0) return false;
      value[0][9]["value"] = ((parseFloat(A - C + B) / parseFloat(A + B)) * 100).toFixed(2) + "%";
      if (this.result && this.result == value[0][9]["value"]) return false;
      this.result = value[0][9]["value"];
      this.setData({
        value
      })
    }
  },
  data: {
    Ios: app.globalData.Ios,
    value,
    active: '',
    activeObject: {},
    activeIndex: [],
    switchB: false,
    endDate: date(),
    switchs,
    submitLock: false,
    saveLock: false,
    btn: true,
    radioInputShow: false,
  },
  methods: {
    ...methods,
    ...request,
  }
})
