import Dialog from "../../miniprogram_npm/@vant/weapp/dialog/dialog";
import { value as _value } from "./config";
const request = {
  //  查看模式
  watchFunc (value, data, switchs) {
    return value.map(itemA => itemA.map(itemB => {
      if (!itemB.hasOwnProperty('value')) return itemB;
      if (itemB.name != "maturity") { itemB['value'] = data[itemB.name] === 0 ? 0 : data[itemB.name] || ''; }
      itemB['disabled'] = true;
      switchs.hasOwnProperty(itemB.name) && switchs[itemB.name].forEach((itemC, indexC) => {
        if (itemC.key === itemB.value) itemB["index"] = indexC;
        // 申请贷款产品 申请贷款期限关联
        if (itemB.name == 'laompany') {
          value[0][11]['value'] = itemC['month'] + '个月';
        }
        // 第一借款人与申请人关系特殊处理
        // if (itemB.name == 'mstatus' && itemB.value == 1) {
        //   value[2][2] = { ...value[2][2], value: 0, index: 0 }
        // }
      })
      return itemB
    })
    )
  },

  // 修改草稿
  draftUpdataFunc (value, data, switchs) {
    return value.map(itemA => itemA.map(itemB => {
      if (!itemB.hasOwnProperty('value')) return itemB;
      if (itemB.name != "maturity") {
        itemB['value'] = data[itemB.name] === 0 ? 0 : data[itemB.name] || '';
      }
      switchs.hasOwnProperty(itemB.name) && switchs[itemB.name].forEach((itemC, indexC) => {
        if (itemC.key === itemB.value) {
          itemB["index"] = indexC;
        };
        // 申请贷款产品 申请贷款期限关联
        if (itemB.name == 'laompany') {
          value[0][11]['value'] = itemC['month'] + '个月';
        }
        // 第一借款人与申请人关系特殊处理
        // if (itemB.name == 'mstatus' && itemB.value == 1) {
        //   value[2][2] = { ...value[2][2], value: 0, index: 0 }
        // }
      })
      return itemB
    }));
  },

  // 已填报修改模式
  updataFunc (value, data, edit_values, switchs) {
    // 后台更改贷款商品key 
    return value.map(itemA => itemA.map(itemB => {
      if (!itemB.hasOwnProperty('value')) return itemB;
      if (itemB.name != "maturity") { itemB['value'] = data[itemB.name] === 0 ? 0 : data[itemB.name] || ''; }
      switchs.hasOwnProperty(itemB.name) && switchs[itemB.name].forEach((itemC, indexC) => {
        if (itemC.key === itemB.value) itemB["index"] = indexC;
        // 申请贷款产品 申请贷款期限关联
        if (itemB.name == 'laompany') {
          value[0][11]['value'] = itemC['month'] + '个月';
        }
        // 第一借款人与申请人关系特殊处理
        // if (itemB.name == 'mstatus' && itemB.value == 1) {
        //   value[2][2] = { ...value[2][2], value: 0, index: 0 }
        // }
      })

      edit_values.some(itemC => {
        if (itemC.name == itemB.name) {
          itemB['err'] = itemC['reason'];
        }
        return itemC.name == itemB.name;
      }) ? '' : itemB['disabled'] = true;

      return itemB
    }));
  },

  // 提交共同验证
  judge () {
    let { value } = this.data, megs = [], data = {}, cvalue = [], tels = [], i = 0;
    if (value[2][6]['value'] == 0) {
      value = [...value[0], ...value[1], ...value[2]];
      cvalue = [..._value[0], ..._value[1], ..._value[2]];
    } else {
      value = [...value[0], ...value[1], ...value[2], ...value[3]];
      cvalue = [..._value[0], ..._value[1], ..._value[2], ..._value[3]];
    }
    value.forEach((item, index) => {
      // 特殊格式  非必须
      if (!item.hasOwnProperty('value') || (!item.value && item.norequire)) {
        if (item.hasOwnProperty('value')) data[item.name] = item.value;
        return false
      };
      // 正常流程
      // 判断是否为空
      if (item.value !== 0 && !item.value) { megs.push(`${item.title}不能为空！`); return false; };
      // 数字类型
      if (item.type == 'number' && !/^\d+.?\d*$/.test(item.value)) { megs.push(`${item.title}格式不正确！`); return false; }
      // 正则判断
      if (cvalue[index].reg && !cvalue[index].reg.test(item.value)) {
        if (item.hasOwnProperty('reg_msg')) {
          megs.push(`${item.title},${item.reg_msg}`);
        } else {
          megs.push(`${item.title}格式不正确！`);
        }
        return false;
      };
      // 号码不能相同 tel tstel ctel cttel
      if (item.name == 'tel' || item.name == 'tstel' || item.name == 'ctel' || item.name == 'cttel') {
        (!tels.some(itemT => itemT == item.value) || item.vlaue == '') && tels.push(item.value); ++i;
      }
      ;
      // 身份证验证
      if (item.name == 'inumber' && data['bdate']) {
        item.value.substr(6, 4) + "-" + item.value.substr(10, 2) + "-" + item.value.substr(12, 2) != data['bdate'] && megs.push(`身份证同出生日期不一致！`);
      }
      if (item.name == 'tsinumber' && data['tsbdate']) {
        item.value.substr(6, 4) + "-" + item.value.substr(10, 2) + "-" + item.value.substr(12, 2) != data['tsbdate'] && megs.push(`共同借款人身份证同出生日期不一致！`)
      }
      if (item.name == "dpratio") {
        /-/g.test(item.value) && megs.push("请重新填写申请贷款产品！")
      }
      data[item.name] = item.value;
    });
    tels.length !== i && megs.push(`手机号码不能重复`);
    return { megs, data }
  },

  // 提交
  async submitFunc () {
    try {
      let { submitLock } = this.data;
      if (submitLock) return false;
      this.setData({ submitLock: true });
      let { data, megs } = this.judge();
      data['category'] = 1;
      // 申请贷款期限 不用传
      delete data['maturity'];
      if (megs.length != 0) {
        this.setData({ errorShow: true, megs, submitLock: false });
        return false;
      };
      let resA = await wx.$request({ method: "post", url: "/order/", data });
      this.setData({ submitLock: false });
      Dialog.alert({ message: "已提交！" }).then(res => wx.redirectTo({ url: '/pages/accessory/index?data=' + resA.data }))
    } catch (err) { wx.$err(err); this.setData({ submitLock: false }); }
  },

  // 草稿箱的修改
  async draftsUpdateFunc () {
    try {
      let { key, submitLock } = this.data;
      if (submitLock) return false;
      this.setData({ submitLock: true });
      let { data, megs } = this.judge();
      data['category'] = 1;
      // 申请贷款期限 不用传
      delete data['maturity'];
      if (megs.length != 0) {
        this.setData({ errorShow: true, megs, submitLock: false });
        return false;
      };
      let resA = await wx.$request({ method: "put", url: `/order/${key}/`, data });
      this.setData({ submitLock: false });
      Dialog.alert({ message: "已提交！" }).then(res => wx.redirectTo({ url: `/pages/accessory/index?data=${resA.data}&images=${JSON.stringify(this.edit_file2)}&imgs=${JSON.stringify([])}` }))
    } catch (err) { wx.$err(err); this.setData({ submitLock: false }); }
  },

  // 保存共同验证
  judgeA () {
    let { value } = this.data, data = {};
    var requeire = ['name', 'tel'], megs = [];
    value = [...value[0], ...value[1], ...value[2], ...value[3]];
    var cvalue = [..._value[0], ..._value[1], ..._value[2], ..._value[3]];
    value.forEach((item, index) => {
      if (!item.hasOwnProperty('value')) return false;
      if (requeire.some(itemB => itemB == item.name)) {
        if (item.value !== 0 && !item.value) {
          megs.push(`${item.title}不能为空！`)
          return false
        };
        if (cvalue[index].reg && !cvalue[index].reg.test(item.value)) {
          megs.push(`${item.title}格式不正确！`); return false;
        };
      }
      data[item.name] = item.value;
    });
    return { data, megs }
  },

  // 新增保存
  async saveFunc () {
    try {
      let { saveLock } = this.data;
      if (saveLock) return false;
      this.setData({ saveLock: true });
      let { data, megs } = this.judgeA();
      data['category'] = 0;
      // 申请贷款期限 不用传
      delete data['maturity'];
      if (megs.length != 0) {
        this.setData({ errorShow: true, megs, saveLock: false });
        return false;
      };
      let resA = await wx.$request({ method: "post", url: "/order/", data });
      this.setData({ saveLock: false })
      Dialog.alert({ message: "已提交！" }).then(res => wx.redirectTo({ url: '/pages/accessory/index?data=' + resA.data }))
    } catch (err) {
      wx.$err(err)
    }

  },
  //草稿箱保存草稿
  async draftsUpdateSaveFunc () {
    try {
      let { saveLock, key } = this.data;
      if (saveLock) return false;
      this.setData({ saveLock: true });
      let { data, megs } = this.judgeA();
      data['category'] = 0;
      // 申请贷款期限 不用传
      delete data['maturity'];
      if (megs.length != 0) {
        this.setData({ errorShow: true, megs, saveLock: false });
        return false;
      };
      let resA = await wx.$request({ method: "put", url: `/order/${key}/`, data });
      this.setData({ saveLock: false })
      Dialog.alert({ message: "已保存！" }).then(res => wx.redirectTo({ url: `/pages/accessory/index?data=${resA.data}&imgs=${JSON.stringify([])}&images=${JSON.stringify(this.edit_file2)}` }));
    } catch (err) { wx.$err(err) }
  },

  //  已填报修改上报
  async UpdateSaveFunc () {
    try {
      let { submitLock, key } = this.data;
      if (submitLock) return false;
      this.setData({ submitLock: true });
      let { data, megs } = this.judge();
      data['category'] = 1;
      // 申请贷款期限 不用传
      delete data['maturity'];
      if (megs.length != 0) {
        this.setData({ errorShow: true, megs, submitLock: false });
        return false;
      };
      let resA = await wx.$request({ method: "put", url: `/order/${key}/`, data });
      this.setData({ submitLock: false });
      Dialog.alert({ message: "已提交！" }).then(res => wx.redirectTo({ url: `/pages/accessory/index?data=${resA.data}&imgs=${JSON.stringify(this.edit_file)}&images=${JSON.stringify(this.edit_file2)}` }))
    } catch (err) { wx.$err(err); this.setData({ submitLock: false }); }
  },

};

module.exports = request;